A basic tool to increase and decrease intel backlight percent.

## Build

You'll need `make` and some C compiler installed.

```
make
```

That's it.

## Usage

Copy the `backlight-control` file to `/usr/local/bin/` or somewhere similar.
Then run `backlight-control` to get the current brightness as a percentage, or
`backlight-control +1` to increase brightness by 1 percent, or
`backlight-control -1` to decrease brightness by 1 percent. Or higher numbers
for higher percentages at a time.

### With i3 / Sway

```
bindsym XF86MonBrightnessUp exec backlight-control +1
bindsym XF86MonBrightnessDown exec backlight-control -1
```

### With waybar

```
"backlight": {
    "device": "intel_backlight",
    "format": "{percent}%",
    "on-scroll-up": "backlight-control +1",
    "on-scroll-down": "backlight-control -1"
},
```
